//View in View by Giovanni@Cardona.com Oct.2001
//this source make use of the new
//Jamagic Notation Standards JNSC 1.0

//Move the camera left,right,up,down (using ALT)
//back and forth, but just in little steps!

winDefaultWin = New Window(320,240);

//get window surface and create a new
//surface just for the new world
srfBackupSurface = winDefaultWin.GetSurface();
srfWorldSurface = New Surface(320,240,16);

//create the world using the new surface
objWorld = New World(0,srfWorldSurface);

//show the world thru a sprite
sprShowWorld = New Sprite(0,0,srfWorldSurface);

//get camera and make it walk
camMainCamera = objWorld.GetCamera();
camMainCamera.Walk();

//read objects, materials and texture
//from current 3d world bank 0
objPlane = objWorld.GetObject("Plane #0");
matBall = objWorld.GetMaterial("Material #4");

//create new texture for the mirror plane
//based of the contents of the current window.
//When the window contents is captured, it will
//contain the sprite that contains the world,
//creating a 'view into view' effect.
texTexture = New Texture(objWorld,srfBackupSurface);
matMirror = New Material(objWorld,texTexture);
objPlane.ReplaceMaterial(matMirror);

//animate the ball texture just to
//demostrate that the effect is working
matBall.AnimUV(0.5);

//
While(1);
//Its incredible how easy is to accomplish
//these effects with Jamagic!